dawo 0.0.1

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 43

dawo 0.0.1

Learning Dart simple basic data for beginners, and howTo use it for building a package. Beginner Dart programmers kickoff to develop a glorious package..

Usage

Brainstorming

Collect people together, let they present ideas, collect best ideas to files and try to group them meaningfully. DO NOT build many classes in this phase, for to keep your mind open for intuitive solutions. Leave room and time to resolve, what will be the direction of this package. Practise to use Dawo by finding it's keywords in editor.

First dawo version seems to be a mess, and, yes, it is intentional so. dawo 0.0.1 shows starter programmers confusion, and records way and steps out of this mess to clarity and understanding.

0.0.1 demonstrates how data is messy, when it is not inside classes. Check for pollution of public namespace!!

0.0.2 version is meant to weed out the material and create a couple of classes. 0.0.3 might be for building first control-flow structures to really use this app.

0.0 x
0.0 x Basic idea and orientation of package to resolve. 0.0 x Incubator idea: -move first too big parts to independent packages. Maybe chore and team

Files;

aldente_func : Simple functions, including some logical errors. Find them! bat_loop : control structures. dawlib_phase : idea of keeping some of this stuff inside of "mini-library".

dawlib_chore : start of bigger "job" / "chore" for real-world-work. This should quite soon to be moved to it's own library, co's it will grow too big and important. dawlib_base : dawlib_coll : examples and hacking material of collections. dawlib_stream : examples of simple Streams. dawo.dart : dawo_app : dawoApp class dawo_dew : small helper functions for cl (command line) testing. dawo_src file created by stagehand plugin app dawo_tools : helper tools, stamps aso.

A simple usage example:

import 'package:dawo/dawo.dart';

var dawoApp = new DawoApp();
//  var da = new DawoApp();  //  shorter way
da. xxx                      //  play with variables

var dd = new DawoDev();
dd. xxx

main() {
  var awesome = new Awesome();
}

About variable names in Dawo

Play in IDE editor with alphabet: a..z to see, what variables are available. See how common namespace is polluted with unnecessary stuff, and try to find a way, to organize them to meaningful classes.

Like: bLib

morn, night, day

make, init, blake

Joker

sleep(), start() stop() render()

ride() roll()

Features and bugs

Please file feature requests and bugs at the issue tracker.

Changelog

0.0.1

  • Elementary messy data, waiting for pruning and classification.

example/dawo_example.dart

// Copyright (c) 2017, Heikki K Lappalainen. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

import 'package:dawo/dawo.dart';

main() {
  var awesome = new Awesome();
  print('awesome: ${awesome.isAwesome}');

  ///  testing dawo
  //  daw... ok
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  dawo: "^0.0.1"

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


      import 'package:dawo/dawo.dart';
  
Version Uploaded Documentation Archive
0.0.75 Jan 8, 2018 Go to the documentation of dawo 0.0.75 Download dawo 0.0.75 archive
0.0.7 Dec 18, 2017 Go to the documentation of dawo 0.0.7 Download dawo 0.0.7 archive
0.0.6 Nov 27, 2017 Go to the documentation of dawo 0.0.6 Download dawo 0.0.6 archive
0.0.5 Nov 6, 2017 Go to the documentation of dawo 0.0.5 Download dawo 0.0.5 archive
0.0.4 Oct 16, 2017 Go to the documentation of dawo 0.0.4 Download dawo 0.0.4 archive
0.0.3 Sep 25, 2017 Go to the documentation of dawo 0.0.3 Download dawo 0.0.3 archive
0.0.2 Sep 11, 2017 Go to the documentation of dawo 0.0.2 Download dawo 0.0.2 archive
0.0.1 Sep 5, 2017 Go to the documentation of dawo 0.0.1 Download dawo 0.0.1 archive
0.0.0 Sep 21, 2013 Go to the documentation of dawo 0.0.0 Download dawo 0.0.0 archive

Analysis

We analyzed this package on Jun 19, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0-dev.63.0
  • pana: 0.11.3

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
0 / 100
Health:
Code health derived from static analysis. [more]
83 / 100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90 / 100
Overall score:
Weighted score of the above. [more]
43
Learn more about scoring.

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:dawo/dawo.dart.

Suggestions

  • Fix analysis and formatting issues.

    Analysis or formatting checks reported 19 errors 2 hints.

    Strong-mode analysis of lib/dawlib_base.dart failed with the following error:

    line: 52 col: 13
    The element type 'String' can't be assigned to the map value type 'bool'.

    Strong-mode analysis of lib/dawlib_stream.dart failed with the following error:

    line: 141 col: 5
    The expression here has a type of 'void', and therefore cannot be used.

    Similar analysis of the following files failed:

    • lib/dawo_app.dart (error)
    • lib/dawo_src.dart (hint)
  • Fix .analysis_options.

    We were unable to parse .analysis_options.

  • Package is pre-v1 release.

    While there is nothing inherently wrong with versions of 0.*.*, it usually means that the author is still experimenting with the general direction API.

  • Use analysis_options.yaml.

    Rename old .analysis_options file to analysis_options.yaml.

  • Enable strong mode analysis.

    Strong mode helps you to detect bugs and potential issues earlier.Start your analysis_options.yaml file with the following:

    analyzer:
      strong-mode: true
    

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.20.1 <2.0.0
Dev dependencies
test ^0.12.24+2